import { EventEmitter } from "@angular/core";
import { FormBuilder, FormGroup } from "@angular/forms";
export declare class FormUsername {
    formBuilder: FormBuilder;
    username: String;
    divInputText: string;
    userIcon: string;
    inputText: string;
    divErrors: string;
    divErrorMessage: string;
    usernameReturn: EventEmitter<{
        username: String;
        valid: Boolean;
    }>;
    constructor(formBuilder: FormBuilder);
    customStyle: {
        divInputText: any;
        userIcon: any;
        inputText: any;
        divErrors: any;
        divErrorMessage: any;
    };
    emit(): void;
    validations_form: FormGroup;
    validation_messages: {
        username: {
            type: string;
            message: string;
        }[];
    };
    ngOnInit(): void;
}
